## 66-service-deluged 0.0.2

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh)
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)
INSTALL := ./tools/install.sh

clean:
	@exec rm -rf $(DESTDIR)

install: install-service install-user-service install-html install-man
install-service: $(SERVICE_TARGET:service/%=$(DESTDIR)$(service_directory)/%)
install-user-service: $(SERVICE_USER_TARGET:service/user/%=$(DESTDIR)$(service_directory)/user/%)
install-html: $(INSTALL_HTML:doc/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html)
install-man: install-man1
install-man1: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)

$(DESTDIR)$(service_directory)/%: service/%
	exec $(INSTALL) -D -m 644 $< $@
	exec sed -e "s/%%BINDIR%%/$(subst /,\/,$(bindir))/g" \
			-e "s/%%SYSCONFDIR%%/$(subst /,\/,$(sysconfdir))/g" \
			-e "s/%%DATAROOTDIR%%/$(subst /,\/,$(datarootdir))/g" \
			-e "s/%%LIVEDIR%%/$(subst /,\/,$(livedir))/g" \
			-e "s/%%SERVICE_DIRECTORY%%/$(subst /,\/,$(service_directory))/g" \
			-e "s/%%SCRIPT_DIRECTORY%%/$(subst /,\/,$(script_directory))/g" \
			-e "s/%%SEED_DIRECTORY%%/$(subst /,\/,$(seed_directory))/g" \
			-e "s/%%SERVICE_CONF_DIRECTORY%%/$(subst /,\/,$(adm_conf))/g" \
			-e "s/%%SKEL_DIRECTORY%%/$(subst /,\/,$(skel_directory))/g" \
			-e "s/%%EXECLINE_SHEBANGPREFIX%%/$(subst /,\/,$(shebangdir))/g" \
			-e "s/%%VERSION%%/$(subst /,\/,$(version))/g"  $< > $@

$(DESTDIR)$(service_directory)/user/%: service/user/%
	exec $(INSTALL) -D -m 644 $< $@
	exec sed -e "s/%%BINDIR%%/$(subst /,\/,$(bindir))/g" \
			-e "s/%%SYSCONFDIR%%/$(subst /,\/,$(sysconfdir))/g" \
			-e "s/%%DATAROOTDIR%%/$(subst /,\/,$(datarootdir))/g" \
			-e "s/%%LIVEDIR%%/$(subst /,\/,$(livedir))/g" \
			-e "s/%%SERVICE_DIRECTORY%%/$(subst /,\/,$(service_directory))/g" \
			-e "s/%%SCRIPT_DIRECTORY%%/$(subst /,\/,$(script_directory))/g" \
			-e "s/%%SEED_DIRECTORY%%/$(subst /,\/,$(seed_directory))/g" \
			-e "s/%%SERVICE_CONF_DIRECTORY%%/$(subst /,\/,$(adm_conf))/g" \
			-e "s/%%SKEL_DIRECTORY%%/$(subst /,\/,$(skel_directory))/g" \
			-e "s/%%EXECLINE_SHEBANGPREFIX%%/$(subst /,\/,$(shebangdir))/g" \
			-e "s/%%VERSION%%/$(subst /,\/,$(version))/g"  $< > $@

$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html: doc/html/%.html
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

version:
	@echo $(version)

.PHONY: clean install install-service install-user-service version install-html install-man

.DELETE_ON_ERROR:

=== debian/changelog ===
66-service-deluged (0.0.2-0antix2) unstable; urgency=medium

  * add s6-66-init-antix to depends

 -- anticapitalista <antix@operamail.com>  Thu, 09 Oct 2025 18:52:11 +0300

66-service-deluged (0.0.2-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Updated maintainer scripts.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 15:25:55 +0300

66-service-deluged (0.0.2-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules.
  * Updated maintainer scripts.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 26 Apr 2025 22:22:22 +1000

66-service-deluged (0.0.1-0experimental1) UNRELEASED; urgency=medium

  * Original release built from upstream. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-deluged
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2

Package: 66-service-deluged
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-66-init-antix | s6-66-init-diversity (>= 0.0.1) | s6-66-init (>= 0.0.1),
 deluge-web,
 deluged,
Recommends:
 66-service-seatd (>= 0.0.2),
 66-service-dbus (>= 0.0.2),
 66-service-connmand (>= 0.0.2),
 66-service-slim (>= 0.0.2) | 66-service-slimski (>= 0.0.2) | 66-service-lightdm (>= 0.0.2) | 66-service-sddm (>= 0.0.2) | 66-service-lxdm (>= 0.0.2),
 66-service-xdg-user-dirs (>= 0.0.2),
Suggests:
 66-service-turnstill (>= 0.0.2) | 66-service-consolekit (>= 0.0.2) | 66-service-elogind (>= 0.0.2) | 66-service-logind (>= 0.0.2) | 66-service-systemd-logind (>= 0.0.2),
Breaks:
 s6-66-services,
Replaces:
 s6-66-services,
Description: 66 service module to manage deluged under s6-66.
 This package provides service frontend files & handles dependencies 
 for the deluged service on a Debian system running under s6-66.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=66-service-deluged
CONFIG_OPT += --version=0.0.2
#
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
#
CONFIG_OPT += --bindir=/usr/bin
CONFIG_OPT += --libdir=/usr/lib/66
CONFIG_OPT += --sysconfdir=/etc
CONFIG_OPT += --datarootdir=/usr/share
CONFIG_OPT += --mandir=/usr/share/man
CONFIG_OPT += --livedir=/run/66
CONFIG_OPT += --with-system-service=/usr/share/66/service
CONFIG_OPT += --with-system-script=/usr/share/66/script
CONFIG_OPT += --with-system-seed=/usr/share/66/seed
CONFIG_OPT += --with-skeleton=/etc/66
CONFIG_OPT += --shebangdir=/usr/lib/execline/bin
#

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

override_dh_install:
	dh_install
	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
	set -e
	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null

override_dh_auto_build:
